<?php get_header(); ?>

<div id="content" class="grid_17 suffix_1 alpha">
	<div class="indent">
  	<h1><b><?php printf( __( 'Category Archives: %s' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?></b></h1>
		<?php echo category_description(); /* displays the category's description from the Wordpress admin */ ?>
    
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
      <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
         <h5 class="extra"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h5>
         <div class="post-content">
           <?php echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; ?>
           <div class="excerpt"><p><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,72);?></p></div>
         </div>
         <div class="post-info">
            <div class="comments"><?php comments_popup_link('No comments', 'One comment', '% comments', 'comments-link', 'Comments are closed'); ?></div>
            <div class="link"><a href="<?php the_permalink() ?>">Read more</a></div>
         </div>
      </article>
    <?php endwhile; else: ?>
      <div class="no-results">
        <p><strong>There has been an error.</strong></p>
        <p>We apologize for any inconvenience, please <a href="<?php bloginfo('url'); ?>/" title="<?php bloginfo('description'); ?>">return to the home page</a> or use the search form below.</p>
        <?php get_search_form(); /* outputs the default Wordpress search form */ ?>
      </div><!--noResults-->
    <?php endif; ?>
      
    <?php if ( $wp_query->max_num_pages > 1 ) : ?>
      <nav class="oldernewer">
        <div class="older">
          <?php next_posts_link('&laquo; Older Entries') ?>
        </div><!--.older-->
        <div class="newer">
          <?php previous_posts_link('Newer Entries &raquo;') ?>
        </div><!--.newer-->
      </nav><!--.oldernewer-->
    <?php endif; ?>
  </div>
	
</div><!--#content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>